{ config, lib, ... }:
{
  imports = [
    ./boot
    ./filesystems
    ./hardware
    ./root
  ];

  system = {
    nixos.tags = [
      "pc"
      "chat"
      "production"
    ];
    stateVersion = "25.05";
  };

  deployment.targetHost = "409:b2b1:966c:b13:6d67:2d6b:45e2:f048";

  home-manager.users."${config.vars.mainUser}".wayland.windowManager.sway.extraSessionCommands = lib.mkForce "";
}
