{ config, lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./network
    ../../modules/system
  ];

  system = {
    nixos.tags = [
      "pc"
      "chat"
      "production"
    ];
    stateVersion = "24.05";
  };

  deployment.targetHost = "5b1:477f:8564:f325:54b4:4704:323a:b2b";

  home-manager.users."${config.vars.mainUser}".wayland.windowManager.sway.extraSessionCommands = lib.mkForce "";
}
