{ config, lib, ... }:
{
  services.nginx.virtualHosts."ntfy.${config.vars.primeDomain}" = lib.mkIf config.services.ntfy-sh.enable {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1${config.services.ntfy-sh.settings.listen-http}";
      proxyWebsockets = true;
    };
  };
}
